using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp7
{
    class Program
    {
        public struct kuca
        {
            public int pozicija;
            public bool posecen;
        }
        public static bool sve_pos(kuca[] niz) 
        {
            for (int i = 0; i < niz.Length; i++)
            {
                if (niz[i].posecen==false)
                {
                    return false;
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n, x;
            string readLine = Console.ReadLine();
            string[] stringArray = readLine.Split(' ');
            n = int.Parse(stringArray[0]);
            x = int.Parse(stringArray[1]);
            int tek = x;
            int min;
            readLine = Console.ReadLine();
            stringArray = readLine.Split(' ');
            kuca[] komsije = new kuca[n];
            for (int i = 0; i < n; i++)
            {
                komsije[i].pozicija = int.Parse(stringArray[i]);
            }
            int temp = 0;
            int s=0;
            while (sve_pos(komsije) == false)
            {
                min = Math.Abs(komsije[temp].pozicija - komsije[temp-1].pozicija);
                for (int i = 0; i < n; i++)
                {
                    if (Math.Abs(komsije[i].pozicija) - tek<=min)
                    {
                        min = Math.Abs(komsije[i].pozicija);
                        temp = i;
                        tek = komsije[i].pozicija;
                    }
                }
                s = s + min;
                komsije[temp].posecen = true;
            }
            
        }
    }
}